EUWATCH-SET-ALARM-STATE(1)

NAME
euwatch-set-alarm-state - Temporarily set the state of an alarm

SYNOPSIS
euwatch-set-alarm-state --state-value {ALARM,INSUFFICIENT_DATA,OK}

--state-reason REASON
    [--state-reason-data JSON] [--show-empty-fields] [-U URL] [--region USER@REGION] [-I KEY_ID] [-S KEY] [--security-token TOKEN] [--debug] [--debugger] [--version] [-h] ALARM

DESCRIPTION
Temporarily set the state of an alarm

  positional arguments:

ALARM
    name of the alarm to update (required)

  optional arguments:

--state-value {ALARM,INSUFFICIENT_DATA,OK}
    state to set the alarm to (required)

--state-reason REASON
    human-readable reason why the alarm was set to this state (required)

--state-reason-data JSON
    JSON-formatted reason why the alarm was set to this state

--show-empty-fields
    show empty values as "(nil)"

-U URL, --url URL
    instance monitoring service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit